GStreamer installation is missing a plug-in



  • New user question: I installed Strawberry on a Ubuntu 18.04 system. The first two audio files played well, and I was very pleased to see my usb dac received 24bit input. Then I tried playing a low-quality mp3 file, and things went pear shaped: "Strawberry Error ! Your GStreamer installation is missing a plug-in." After this, Strawberry couldn't play anything at all, not even the first file that was ok before. What to do?

    I tried unplugging the dac, and choosing "Output: Plays audio to a Pulse Server". Doesn't work, same outcome as before. Closing and re-opening help reset things. That is, until I try playing the mp3 again...

    VLC plays everything fine.



  • You can try to delete the gstreamer plugin registry file, usually in ~/.cache/gstreamer-1.0/registry.x86_64.bin

    As for MP3, you are probably missing the GStreamer lame plugin, the file is libgstlame.so.
    It's usually in the 'good' plugins package, but some distros doesn't ship it.



  • Thank you for the quick reply. I installed the good plugins and I am having more success now.


Log in to reply